Subscriptions
List subscription configurations
Retrieve a paginated list of subscription management configurations for your account.
Each configuration represents a subscription management setup with phone numbers for receiving opt-out/opt-in requests and a callback URL for webhook events.
GET
/
v2
/
notify
/
management
/
subscriptions
List subscription configurations
curl --request GET \
--url https://api.prelude.dev/v2/notify/management/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prelude.dev/v2/notify/management/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prelude.dev/v2/notify/management/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"configs": [
{
"id": "subcfg_01k8ap1btqf5r9fq2c8ax5fhc9",
"name": "Marketing Campaign",
"callback_url": "https://your-app.com/webhooks/subscription",
"messages": {
"help_message": "Reply STOP to unsubscribe or START to resubscribe.",
"stop_message": "You have been unsubscribed and will not receive further messages. Reply START to resubscribe.",
"start_message": "You have been resubscribed and will receive messages again. Reply STOP to unsubscribe."
},
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-01T12:00:00Z",
"mo_phone_numbers": [
{
"country_code": "US",
"phone_number": "+15551234567"
},
{
"country_code": "FR",
"phone_number": "36184"
}
]
}
],
"next_cursor": "eyJwayI6IjEyMzQ1Njc4LTkwYWItMTJjZC00NTY3LTg5MGFiMTJjZGU0NTYifQ=="
}{
"code": "invalid_phone_number",
"message": "The provided phone number is invalid. Provide a valid E.164 phone number.",
"type": "bad_request",
"request_id": "3d19215e-2991-4a05-a41a-527314e6ff6a"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of configurations to return per page
Required range:
1 <= x <= 200Pagination cursor from the previous response
⌘I
List subscription configurations
